quantiles <- function(
      nv,
      number=10,
      na.rm=TRUE) {
   # deal with NAs
   if (na.rm) { nv <- na.omit(nv) }
   # compute & return the output
   return(
      quantile(nv,
         probs=seq(from=0, to=1,
                   length.out=number+1)))
}
