#' @title A very curvy relationship
#' @name rts
#' @description This data set contains data points exemplifying a very curvy relationship on the basis of 66 data points.
#' @docType data
#'
#' @format A data frame with 66 observations/cases and 3 variables:
#' \describe{
#'   \item{CASE}{Numeric: a unique identifier for each case, in the interval [1, 8610]}
#'   \item{X}{Numeric: a numeric predictor, in the interval [3.131, 99.231]}
#'   \item{Y}{Numeric: a numeric response, in the interval [8.273, 105.196]}
#' }
#'
#' @details NA
#' @source NA
#' @references Gries, Stefan Th. 2021. *Statistics for linguistics with R*. 3rd ed. Boston & Berlin: New York.
read.delim("curved.csv", stringsAsFactors=TRUE)
